CREATE TABLE inv_serial_numbers_interface (
    TRANSACTION_INTERFACE_ID     NUMBER(18, 0) ,
    UNIQUE_DEVICE_IDENTIFIER     VARCHAR2(600) ,
    INV_SERIAL_INTERFACE_NUM     VARCHAR2(120) ,
    RCV_INTERFACE_LINE_NUM       VARCHAR2(120) ,
    SOURCE_CODE                  VARCHAR2(120) ,
    SOURCE_LINE_ID               NUMBER(18, 0) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    VENDOR_SERIAL_NUMBER         VARCHAR2(320) ,
    VENDOR_LOT_NUMBER            VARCHAR2(120) ,
    FM_SERIAL_NUMBER             VARCHAR2(320) ,
    TO_SERIAL_NUMBER             VARCHAR2(320) ,
    ERROR_CODE                   VARCHAR2(960) ,
    PROCESS_FLAG                 NUMBER        ,
    PARENT_SERIAL_NUMBER         VARCHAR2(320) ,
    SERIAL_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    TERRITORY_CODE               VARCHAR2(120) ,
    ORIGINATION_DATE             DATE          ,
    C_ATTRIBUTE1                 VARCHAR2(600) ,
    C_ATTRIBUTE2                 VARCHAR2(600) ,
    C_ATTRIBUTE3                 VARCHAR2(600) ,
    C_ATTRIBUTE4                 VARCHAR2(600) ,
    C_ATTRIBUTE5                 VARCHAR2(600) ,
    C_ATTRIBUTE6                 VARCHAR2(600) ,
    C_ATTRIBUTE7                 VARCHAR2(600) ,
    C_ATTRIBUTE8                 VARCHAR2(600) ,
    C_ATTRIBUTE9                 VARCHAR2(600) ,
    C_ATTRIBUTE10                VARCHAR2(600) ,
    C_ATTRIBUTE11                VARCHAR2(600) ,
    C_ATTRIBUTE12                VARCHAR2(600) ,
    C_ATTRIBUTE13                VARCHAR2(600) ,
    C_ATTRIBUTE14                VARCHAR2(600) ,
    C_ATTRIBUTE15                VARCHAR2(600) ,
    C_ATTRIBUTE16                VARCHAR2(600) ,
    C_ATTRIBUTE18                VARCHAR2(600) ,
    C_ATTRIBUTE19                VARCHAR2(600) ,
    C_ATTRIBUTE20                VARCHAR2(600) ,
    D_ATTRIBUTE1                 DATE          ,
    D_ATTRIBUTE2                 DATE          ,
    D_ATTRIBUTE3                 DATE          ,
    D_ATTRIBUTE4                 DATE          ,
    D_ATTRIBUTE5                 DATE          ,
    D_ATTRIBUTE6                 DATE          ,
    D_ATTRIBUTE7                 DATE          ,
    D_ATTRIBUTE8                 DATE          ,
    D_ATTRIBUTE9                 DATE          ,
    D_ATTRIBUTE10                DATE          ,
    N_ATTRIBUTE1                 NUMBER        ,
    N_ATTRIBUTE2                 NUMBER        ,
    N_ATTRIBUTE3                 NUMBER        ,
    N_ATTRIBUTE4                 NUMBER        ,
    N_ATTRIBUTE5                 NUMBER        ,
    N_ATTRIBUTE6                 NUMBER        ,
    N_ATTRIBUTE7                 NUMBER        ,
    N_ATTRIBUTE8                 NUMBER        ,
    N_ATTRIBUTE9                 NUMBER        ,
    N_ATTRIBUTE10                NUMBER        ,
    T_ATTRIBUTE1                 TIMESTAMP(6)  ,
    T_ATTRIBUTE2                 TIMESTAMP(6)  ,
    T_ATTRIBUTE3                 TIMESTAMP(6)  ,
    T_ATTRIBUTE4                 TIMESTAMP(6)  ,
    T_ATTRIBUTE5                 TIMESTAMP(6)  ,
    STATUS_ID                    NUMBER(18, 0) ,
    STATUS_CODE                  VARCHAR2(320) ,
    TIME_SINCE_NEW               NUMBER        ,
    CYCLES_SINCE_NEW             NUMBER        ,
    TIME_SINCE_OVERHAUL          NUMBER        ,
    CYCLES_SINCE_OVERHAUL        NUMBER        ,
    TIME_SINCE_REPAIR            NUMBER        ,
    CYCLES_SINCE_REPAIR          NUMBER        ,
    TIME_SINCE_VISIT             NUMBER        ,
    CYCLES_SINCE_VISIT           NUMBER        ,
    TIME_SINCE_MARK              NUMBER        ,
    CYCLES_SINCE_MARK            NUMBER        ,
    NUMBER_OF_REPAIRS            NUMBER        ,
    STATUS_NAME                  VARCHAR2(120) ,
    C_ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    PRODUCT_CODE                 VARCHAR2(20)  ,
    PRODUCT_TRANSACTION_ID       NUMBER(18, 0) ,
    PARENT_OBJECT_TYPE           NUMBER        ,
    PARENT_OBJECT_ID             NUMBER(18, 0) ,
    PARENT_OBJECT_NUMBER         VARCHAR2(960) ,
    PARENT_ITEM_ID               NUMBER(18, 0) ,
    PARENT_OBJECT_TYPE2          NUMBER        ,
    PARENT_OBJECT_ID2            NUMBER(18, 0) ,
    PARENT_OBJECT_NUMBER2        VARCHAR2(960) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    ATTRIBUTE16                  VARCHAR2(600) ,
    ATTRIBUTE17                  VARCHAR2(600) ,
    ATTRIBUTE18                  VARCHAR2(600) ,
    ATTRIBUTE19                  VARCHAR2(600) ,
    ATTRIBUTE20                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_NUMBER6            NUMBER        ,
    ATTRIBUTE_NUMBER7            NUMBER        ,
    ATTRIBUTE_NUMBER8            NUMBER        ,
    ATTRIBUTE_NUMBER9            NUMBER        ,
    ATTRIBUTE_NUMBER10           NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    DELIVERY_NAME                VARCHAR2(120) ,
    LICENSE_PLATE_NUMBER         VARCHAR2(120) ,
    DELIVERY_DETAIL_ID           NUMBER(18, 0) ,
    REVISION                     VARCHAR2(72)  ,
    SUBINVENTORY_CODE            VARCHAR2(40)  ,
    LOCATOR_NAME                 VARCHAR2(4000),
    SHIP_FROM_ORGANIZATION_ID    NUMBER(18, 0) ,
    PROJECT_ID                   NUMBER(18, 0) ,
    TASK_ID                      NUMBER(18, 0) ,
    INV_PROJECT                  VARCHAR2(100) ,
    INV_TASK                     VARCHAR2(400) ,
    INV_PROJECT_NAME             VARCHAR2(960) ,
    INV_TASK_NAME                VARCHAR2(1020),
    COUNTRY_OF_ORIGIN_CODE       VARCHAR2(8)   ,
    COUNTRY_OF_ORIGIN_NAME       VARCHAR2(320) ,
    INV_STRIPING_CATEGORY        VARCHAR2(160) ,
    INV_RESERVED_ATTRIBUTE1      VARCHAR2(600) ,
    INV_RESERVED_ATTRIBUTE2      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE1      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE2      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE3      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE4      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE5      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE6      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE7      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE8      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE9      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE10     VARCHAR2(600) ,
    TRANSACTION_INTERFACE_ID     NUMBER(18, 0) ,
    INV_SERIAL_INTERFACE_NUM     VARCHAR2(120) ,
    RCV_INTERFACE_LINE_NUM       VARCHAR2(120) ,
    SOURCE_CODE                  VARCHAR2(120) ,
    SOURCE_LINE_ID               NUMBER(18, 0) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    VENDOR_SERIAL_NUMBER         VARCHAR2(320) ,
    VENDOR_LOT_NUMBER            VARCHAR2(120) ,
    FM_SERIAL_NUMBER             VARCHAR2(320) ,
    TO_SERIAL_NUMBER             VARCHAR2(320) ,
    ERROR_CODE                   VARCHAR2(960) ,
    PROCESS_FLAG                 NUMBER        ,
    PARENT_SERIAL_NUMBER         VARCHAR2(320) ,
    SERIAL_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    TERRITORY_CODE               VARCHAR2(120) ,
    ORIGINATION_DATE             DATE          ,
    C_ATTRIBUTE1                 VARCHAR2(600) ,
    C_ATTRIBUTE2                 VARCHAR2(600) ,
    C_ATTRIBUTE3                 VARCHAR2(600) ,
    C_ATTRIBUTE4                 VARCHAR2(600) ,
    C_ATTRIBUTE5                 VARCHAR2(600) ,
    C_ATTRIBUTE6                 VARCHAR2(600) ,
    C_ATTRIBUTE7                 VARCHAR2(600) ,
    C_ATTRIBUTE8                 VARCHAR2(600) ,
    C_ATTRIBUTE9                 VARCHAR2(600) ,
    C_ATTRIBUTE10                VARCHAR2(600) ,
    C_ATTRIBUTE11                VARCHAR2(600) ,
    C_ATTRIBUTE12                VARCHAR2(600) ,
    C_ATTRIBUTE13                VARCHAR2(600) ,
    C_ATTRIBUTE14                VARCHAR2(600) ,
    C_ATTRIBUTE15                VARCHAR2(600) ,
    C_ATTRIBUTE16                VARCHAR2(600) ,
    C_ATTRIBUTE18                VARCHAR2(600) ,
    C_ATTRIBUTE19                VARCHAR2(600) ,
    C_ATTRIBUTE20                VARCHAR2(600) ,
    D_ATTRIBUTE1                 DATE          ,
    D_ATTRIBUTE2                 DATE          ,
    D_ATTRIBUTE3                 DATE          ,
    D_ATTRIBUTE4                 DATE          ,
    D_ATTRIBUTE5                 DATE          ,
    D_ATTRIBUTE6                 DATE          ,
    D_ATTRIBUTE7                 DATE          ,
    D_ATTRIBUTE8                 DATE          ,
    D_ATTRIBUTE9                 DATE          ,
    D_ATTRIBUTE10                DATE          ,
    N_ATTRIBUTE1                 NUMBER        ,
    N_ATTRIBUTE2                 NUMBER        ,
    N_ATTRIBUTE3                 NUMBER        ,
    N_ATTRIBUTE4                 NUMBER        ,
    N_ATTRIBUTE5                 NUMBER        ,
    N_ATTRIBUTE6                 NUMBER        ,
    N_ATTRIBUTE7                 NUMBER        ,
    N_ATTRIBUTE8                 NUMBER        ,
    N_ATTRIBUTE9                 NUMBER        ,
    N_ATTRIBUTE10                NUMBER        ,
    T_ATTRIBUTE1                 TIMESTAMP(6)  ,
    T_ATTRIBUTE2                 TIMESTAMP(6)  ,
    T_ATTRIBUTE3                 TIMESTAMP(6)  ,
    T_ATTRIBUTE4                 TIMESTAMP(6)  ,
    T_ATTRIBUTE5                 TIMESTAMP(6)  ,
    STATUS_ID                    NUMBER(18, 0) ,
    STATUS_CODE                  VARCHAR2(320) ,
    TIME_SINCE_NEW               NUMBER        ,
    CYCLES_SINCE_NEW             NUMBER        ,
    TIME_SINCE_OVERHAUL          NUMBER        ,
    CYCLES_SINCE_OVERHAUL        NUMBER        ,
    TIME_SINCE_REPAIR            NUMBER        ,
    CYCLES_SINCE_REPAIR          NUMBER        ,
    TIME_SINCE_VISIT             NUMBER        ,
    CYCLES_SINCE_VISIT           NUMBER        ,
    TIME_SINCE_MARK              NUMBER        ,
    CYCLES_SINCE_MARK            NUMBER        ,
    NUMBER_OF_REPAIRS            NUMBER        ,
    STATUS_NAME                  VARCHAR2(120) ,
    C_ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    PRODUCT_CODE                 VARCHAR2(20)  ,
    PRODUCT_TRANSACTION_ID       NUMBER(18, 0) ,
    PARENT_OBJECT_TYPE           NUMBER        ,
    PARENT_OBJECT_ID             NUMBER(18, 0) ,
    PARENT_OBJECT_NUMBER         VARCHAR2(960) ,
    PARENT_ITEM_ID               NUMBER(18, 0) ,
    PARENT_OBJECT_TYPE2          NUMBER        ,
    PARENT_OBJECT_ID2            NUMBER(18, 0) ,
    PARENT_OBJECT_NUMBER2        VARCHAR2(960) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    ATTRIBUTE16                  VARCHAR2(600) ,
    ATTRIBUTE17                  VARCHAR2(600) ,
    ATTRIBUTE18                  VARCHAR2(600) ,
    ATTRIBUTE19                  VARCHAR2(600) ,
    ATTRIBUTE20                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_NUMBER6            NUMBER        ,
    ATTRIBUTE_NUMBER7            NUMBER        ,
    ATTRIBUTE_NUMBER8            NUMBER        ,
    ATTRIBUTE_NUMBER9            NUMBER        ,
    ATTRIBUTE_NUMBER10           NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    DELIVERY_NAME                VARCHAR2(120) ,
    LICENSE_PLATE_NUMBER         VARCHAR2(120) ,
    DELIVERY_DETAIL_ID           NUMBER(18, 0) ,
    REVISION                     VARCHAR2(72)  ,
    SUBINVENTORY_CODE            VARCHAR2(40)  ,
    LOCATOR_NAME                 VARCHAR2(4000),
    SHIP_FROM_ORGANIZATION_ID    NUMBER(18, 0) ,
    PROJECT_ID                   NUMBER(18, 0) ,
    TASK_ID                      NUMBER(18, 0) ,
    INV_PROJECT                  VARCHAR2(100) ,
    INV_TASK                     VARCHAR2(400) ,
    INV_PROJECT_NAME             VARCHAR2(960) ,
    INV_TASK_NAME                VARCHAR2(1020),
    COUNTRY_OF_ORIGIN_CODE       VARCHAR2(8)   ,
    COUNTRY_OF_ORIGIN_NAME       VARCHAR2(320) ,
    INV_STRIPING_CATEGORY        VARCHAR2(160) ,
    INV_RESERVED_ATTRIBUTE1      VARCHAR2(600) ,
    INV_RESERVED_ATTRIBUTE2      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE1      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE2      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE3      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE4      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE5      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE6      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE7      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE8      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE9      VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE10     VARCHAR2(600) ,
    UNIQUE_DEVICE_IDENTIFIER     VARCHAR2(600) ,
    CONSTRAINT pk_inv_serial_numbers_interface PRIMARY KEY (TRANSACTION_INTERFACE_ID, FM_SERIAL_NUMBER, TRANSACTION_INTERFACE_ID, FM_SERIAL_NUMBER)
);
